# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-26 00:58
from __future__ import unicode_literals

from django.db import migrations

# Create initial Label instances

# List of label names, default colors, and descriptions
LABELS = [
    {'name': 'INJ', 'defaultColor': 'purple',  'description': 'Injection occured near this time.'},
    {'name': 'DQV', 'defaultColor': 'red', 'description': 'Data quality veto.'},
    {'name': 'LUMIN_GO', 'defaultColor': 'green', 'description': 'LUMIN Go'},
    {'name': 'LUMIN_NO', 'defaultColor': 'red', 'description': 'LUMIN No'},
    {'name': 'SWIFT_GO', 'defaultColor': 'green', 'description': 'Send notification to SWIFT telescope.'},
    {'name': 'SWIFT_NO', 'defaultColor': 'red', 'description': 'Do not send notification to SWIFT telescope.'},
    {'name': 'EM_READY', 'defaultColor': 'green', 'description': 'Has been processed by GDB Processor. Skymaps have been produced.'},
    {'name': 'cWB_r', 'defaultColor': 'black', 'description': 'cWB_r'},
    {'name': 'cWB_s', 'defaultColor': 'black', 'description': 'cWB_s'},
    {'name': 'PE_READY', 'defaultColor': 'black', 'description': 'Parameter estimation results are available'},
    {'name': 'H1NO', 'defaultColor': 'red', 'description': 'H1 operator says event is not okay.'},
    {'name': 'H1OK', 'defaultColor': 'green', 'description': 'H1 operator says event is okay.'},
    {'name': 'H1OPS', 'defaultColor': 'black', 'description': 'H1 operator signoff requested.'},
    {'name': 'L1NO', 'defaultColor': 'red', 'description': 'L1 operator says event is not okay.'},
    {'name': 'L1OK', 'defaultColor': 'green', 'description': 'L1 operator says event is okay.'},
    {'name': 'L1OPS', 'defaultColor': 'black', 'description': 'L1 operator signoff requested.'},
    {'name': 'ADVREQ', 'defaultColor': 'black', 'description': 'EM advocate signoff requested.'},
    {'name': 'ADVOK', 'defaultColor': 'green', 'description': 'EM advocate says event is okay.'},
    {'name': 'ADVNO', 'defaultColor': 'red', 'description': 'EM advocate says event is not okay.'},
    {'name': 'EM_Throttled', 'defaultColor': 'black', 'description': 'GraceID is ignored by automatic processing because the corresponding pipeline submitted too many events too quickly.'},
    {'name': 'EM_Selected', 'defaultColor': 'black', 'description': 'GraceID automatically chosen as the most promising candidate out of a set of entries thought to correspond to the same physical event. '},
    {'name': 'EM_Superseded ', 'defaultColor': 'black', 'description': 'GraceID automatically passed over because another entry was thought to be more promising and to correspond to the same physical event. '},
    {'name': 'EM_COINC', 'defaultColor': 'black', 'description': 'Signifies that a coincidence was found between gravitational-wave candidates and External triggers.'},
    {'name': 'GRB_ONLINE', 'defaultColor': 'black', 'description': 'Indicates that online triggered GRB searches found something coincident with this event.'},
    {'name': 'GRB_OFFLINE', 'defaultColor': 'black', 'description': 'Indicates that offline triggered GRB searches found something coincident with this event.'},
]

def add_labels(apps, schema_editor):
    Label = apps.get_model('events', 'Label')

    # Create labels
    for label_dict in LABELS:
        l, created = Label.objects.get_or_create(name=label_dict['name'])
        l.defaultColor = label_dict['defaultColor']
        l.description = label_dict['description']
        l.save()

def remove_labels(apps, schema_editor):
    Label = apps.get_model('events', 'Label')

    # Delete labels
    for label_dict in LABELS:
        try:
            l = Label.objects.get(name=label_dict['name'])
        except Label.DoesNotExist:
            print('Label {0} not found to be deleted, skipping.' \
                .format(label_dict['name']))
            break
        l.delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0004_initial_search_data'),
    ]

    operations = [
        migrations.RunPython(add_labels, remove_labels),
    ]
