# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-26 13:10
from __future__ import unicode_literals

from django.db import migrations

# Create Tag instances for current list of "blessed" tags.
# Based on current list in settings (26 Oct 2017)

# List of tag names and display names
BLESSED_TAGS = [
    {'name': 'analyst_comments', 'displayName': 'Analyst Comments'},
    {'name': 'em_follow', 'displayName': 'EM Followup'},
    {'name': 'psd', 'displayName': 'Noise Curves'},
    {'name': 'data_quality', 'displayName': 'Data Quality'},
    {'name': 'sky_loc', 'displayName': 'Sky Localization'},
    {'name': 'background', 'displayName': 'Background Information'},
    {'name': 'ext_coinc', 'displayName': 'External Coincidence'},
    {'name': 'strain', 'displayName': 'Strain Data'},
    {'name': 'tfplots', 'displayName': 'Time-Frequency Info'},
    {'name': 'pe', 'displayName': 'Parameter Estimation'},
    {'name': 'sig_info', 'displayName': 'Significance Info'},
    {'name': 'audio', 'displayName': 'Sound Files'},
]

def add_tags(apps, schema_editor):
    Tag = apps.get_model('events', 'Tag')

    # Create tags
    for tag_dict in BLESSED_TAGS:
        tag, created = Tag.objects.get_or_create(name=tag_dict['name'])
        if created:
            tag.displayName = tag_dict['displayName']
            tag.save()

def remove_tags(apps, schema_editor):
    Tag = apps.get_model('events', 'Tag')

    # Delete tags
    Tag.objects.filter(name__in=[s['name'] for s in BLESSED_TAGS]).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0005_initial_label_data'),
    ]

    operations = [
        migrations.RunPython(add_tags, remove_tags),
    ]
