# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-26 13:25
from __future__ import unicode_literals

from django.db import migrations

# Create initial EMGroup instances.

# List of EMGroup names
EMGROUPS = [
    'ARI LJMU',
    'CRTS',
    'FIGARO',
    'FRBSG',
    'GOTO',
    'GWU LSC Group',
    'H.E.S.S.',
    'INAF',
    'IUCAA',
    'LCOGT',
    'LV-EM Followup',
    'MAGIC',
    'Pan-STARRS',
    'PIRATE',
    'RoboPol',
    'Swift',
    'TOROS',
    'VERITAS',
    'ZTF',
    'Test',
    'AROMA',
    'CALET',
    'DES',
    'EWE',
    'FLEAS',
    'HAWC',
    'HETGS',
    'ISDC',
    'LOFAR-TKSP',
    'LSQ',
    'MAXI',
    'MWA',
    'OVRO',
    'PESSTO',
    'Pi of the Sky',
    'SVOM',
    'HTRU',
    'TZAC',
    'VAST',
    'GRA SAO RAS',
    'ARAE',
    'Berger Time-Domain Research Group',
    'Caltech-NRAO Radio Transient Group',
    'Fast Spectroscopy with LBT and Gemini',
    'Fermi',
    'J-GEM',
    'KU',
    'LGT-Lulin',
    'LV Swift MIT EM Follow-up',
    'MASTER',
    'RAPTOR',
    'RATIR',
    'SAAO',
    'SkyMapper',
    'SRO7',
    'Terskol-GW follow-up',
    'TLS',
    'TTU LSC group',
    'TTU Observatory',
    'Leicester transient science team',
    'USO',
    'Wise-GECO',
    'XMM-Newton',
    'ATLAS',
    '1M2H',
    'AAOGW',
    'AGILE',
    'ANTARES',
    'Apertif-EVN',
    'AST3',
    'Auger',
    'AZTEC-GW',
    'BlackGEM',
    'COSI',
    'CTA',
    'CZTI-IUCAA',
    'DLT40',
    'DWF',
    'FAST',
    'GROND',
    'Huntsman',
    'HXMT',
    'IceCube',
    'IKI_GRB',
    'IPN',
    'MeerKAT',
    'NenuFAR',
    'NRAO',
    'NTE',
    'OGWARTS',
    'RIMAS',
    'SRG-eROSITA',
    'TLC X-ray Imaging',
    'UNC-LFP',
]

def add_emgroups(apps, schema_editor):
    EMGroup = apps.get_model('events', 'EMGroup')

    # Create emgroups
    for emgroup_name in EMGROUPS:
        emgroup, created = EMGroup.objects.get_or_create(name=emgroup_name)

def remove_emgroups(apps, schema_editor):
    EMGroup = apps.get_model('events', 'EMGroup')

    # Delete emgroups
    EMGroup.objects.filter(name__in=EMGROUPS).delete()

class Migration(migrations.Migration):

    dependencies = [
        ('events', '0006_initial_tag_data'),
    ]

    operations = [
        migrations.RunPython(add_emgroups, remove_emgroups),
    ]
