# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'SimInspiralEvent'
        db.create_table(u'gracedb_siminspiralevent', (
            (u'event_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['gracedb.Event'], unique=True, primary_key=True)),
            ('mass1', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('mass2', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('eta', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('amp_order', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('coa_phase', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('mchirp', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin1y', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin1x', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin1z', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin2x', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin2y', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('spin2z', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('geocent_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('geocent_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('end_time_gmst', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('f_lower', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('f_final', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('distance', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('latitude', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('longitude', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('polarization', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('inclination', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('theta0', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('phi0', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('waveform', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
            ('numrel_mode_min', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('numrel_mode_max', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('numrel_data', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
            ('source', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
            ('taper', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
            ('bandpass', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('alpha', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('beta', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('psi0', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('psi3', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha1', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha2', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha3', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha4', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha5', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('alpha6', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('g_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('g_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('h_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('h_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('l_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('l_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('t_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('t_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('v_end_time', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('v_end_time_ns', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('eff_dist_g', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('eff_dist_h', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('eff_dist_l', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('eff_dist_t', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('eff_dist_v', self.gf('django.db.models.fields.FloatField')(null=True)),
            ('source_channel', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
            ('destination_channel', self.gf('django.db.models.fields.CharField')(default='', max_length=50, blank=True)),
        ))
        db.send_create_signal(u'gracedb', ['SimInspiralEvent'])


    def backwards(self, orm):
        # Deleting model 'SimInspiralEvent'
        db.delete_table(u'gracedb_siminspiralevent')


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'gracedb.approval': {
            'Meta': {'object_name': 'Approval'},
            'approvedEvent': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'approver': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'approvingCollaboration': ('django.db.models.fields.CharField', [], {'max_length': '1'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        u'gracedb.coincinspiralevent': {
            'Meta': {'ordering': "['-id']", 'object_name': 'CoincInspiralEvent', '_ormbases': [u'gracedb.Event']},
            'combined_far': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'end_time': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'end_time_ns': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            u'event_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['gracedb.Event']", 'unique': 'True', 'primary_key': 'True'}),
            'false_alarm_rate': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ifos': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '20'}),
            'mass': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mchirp': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'minimum_duration': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'snr': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'gracedb.embbeventlog': {
            'Meta': {'ordering': "['-created', '-N']", 'unique_together': "(('event', 'N'),)", 'object_name': 'EMBBEventLog'},
            'N': ('django.db.models.fields.IntegerField', [], {}),
            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'dec': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'decList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'decWidth': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'decWidthList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'duration': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'durationList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'eel_status': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'extra_info_dict': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'footprintID': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'gpstime': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'gpstimeList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.EMGroup']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'instrument': ('django.db.models.fields.CharField', [], {'max_length': '200', 'blank': 'True'}),
            'obs_status': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'ra': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'raList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'raWidth': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'raWidthList': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'waveband': ('django.db.models.fields.CharField', [], {'max_length': '25'})
        },
        u'gracedb.emfootprint': {
            'Meta': {'ordering': "['-N']", 'unique_together': "(('observation', 'N'),)", 'object_name': 'EMFootprint'},
            'N': ('django.db.models.fields.IntegerField', [], {}),
            'dec': ('django.db.models.fields.FloatField', [], {}),
            'decWidth': ('django.db.models.fields.FloatField', [], {}),
            'exposure_time': ('django.db.models.fields.PositiveIntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'observation': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.EMObservation']"}),
            'ra': ('django.db.models.fields.FloatField', [], {}),
            'raWidth': ('django.db.models.fields.FloatField', [], {}),
            'start_time': ('django.db.models.fields.DateTimeField', [], {})
        },
        u'gracedb.emgroup': {
            'Meta': {'object_name': 'EMGroup'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '20'})
        },
        u'gracedb.emobservation': {
            'Meta': {'ordering': "['-created', '-N']", 'unique_together': "(('event', 'N'),)", 'object_name': 'EMObservation'},
            'N': ('django.db.models.fields.IntegerField', [], {}),
            'comment': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'dec': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'decWidth': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.EMGroup']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ra': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'raWidth': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"})
        },
        u'gracedb.event': {
            'Meta': {'ordering': "['-id']", 'object_name': 'Event'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'far': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'gpstime': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '16', 'decimal_places': '6'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'instruments': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '20'}),
            'labels': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['gracedb.Label']", 'through': u"orm['gracedb.Labelling']", 'symmetrical': 'False'}),
            'likelihood': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'nevents': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'perms': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'pipeline': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Pipeline']"}),
            'search': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Search']", 'null': 'True'}),
            'submitter': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"})
        },
        u'gracedb.eventlog': {
            'Meta': {'ordering': "['-created', '-N']", 'unique_together': "(('event', 'N'),)", 'object_name': 'EventLog'},
            'N': ('django.db.models.fields.IntegerField', [], {}),
            'comment': ('django.db.models.fields.TextField', [], {}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'file_version': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'issuer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"})
        },
        u'gracedb.grbevent': {
            'Meta': {'ordering': "['-id']", 'object_name': 'GrbEvent', '_ormbases': [u'gracedb.Event']},
            'author_ivorn': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'author_shortname': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'coord_system': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'dec': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'error_radius': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            u'event_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['gracedb.Event']", 'unique': 'True', 'primary_key': 'True'}),
            'how_description': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'how_reference_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'ivorn': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'observatory_location_id': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'ra': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            't90': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'trigger_duration': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'gracedb.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'gracedb.label': {
            'Meta': {'object_name': 'Label'},
            'defaultColor': ('django.db.models.fields.CharField', [], {'default': "'black'", 'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '20'})
        },
        u'gracedb.labelling': {
            'Meta': {'object_name': 'Labelling'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'label': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Label']"})
        },
        u'gracedb.multiburstevent': {
            'Meta': {'ordering': "['-id']", 'object_name': 'MultiBurstEvent', '_ormbases': [u'gracedb.Event']},
            'amplitude': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'bandwidth': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'central_freq': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'confidence': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'duration': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            u'event_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['gracedb.Event']", 'unique': 'True', 'primary_key': 'True'}),
            'false_alarm_rate': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ifos': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '20'}),
            'ligo_angle': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ligo_angle_sig': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ligo_axis_dec': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ligo_axis_ra': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'peak_time': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'peak_time_ns': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'snr': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'start_time': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'}),
            'start_time_ns': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True'})
        },
        u'gracedb.pipeline': {
            'Meta': {'object_name': 'Pipeline'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'gracedb.search': {
            'Meta': {'object_name': 'Search'},
            'description': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'gracedb.siminspiralevent': {
            'Meta': {'ordering': "['-id']", 'object_name': 'SimInspiralEvent', '_ormbases': [u'gracedb.Event']},
            'alpha': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha1': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha4': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha5': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha6': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'amp_order': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'bandpass': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'beta': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'coa_phase': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'destination_channel': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'}),
            'distance': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eff_dist_g': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eff_dist_h': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eff_dist_l': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eff_dist_t': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eff_dist_v': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'end_time_gmst': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'eta': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            u'event_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['gracedb.Event']", 'unique': 'True', 'primary_key': 'True'}),
            'f_final': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'f_lower': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'g_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'g_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'geocent_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'geocent_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'h_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'h_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'inclination': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'l_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'l_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'latitude': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'longitude': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mass1': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mass2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mchirp': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'numrel_data': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'}),
            'numrel_mode_max': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'numrel_mode_min': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'phi0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'polarization': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'psi0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'psi3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'source': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'}),
            'source_channel': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'}),
            'spin1x': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin1y': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin1z': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2x': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2y': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2z': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            't_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            't_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'taper': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'}),
            'theta0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'v_end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'v_end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'waveform': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '50', 'blank': 'True'})
        },
        u'gracedb.singleinspiral': {
            'Gamma0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma1': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma4': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma5': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma6': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma7': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma8': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Gamma9': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'Meta': {'object_name': 'SingleInspiral'},
            'alpha': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha1': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha4': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha5': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'alpha6': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'amplitude': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'bank_chisq': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'bank_chisq_dof': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'beta': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'chi': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'chisq': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'chisq_dof': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'coa_phase': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'cont_chisq': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'cont_chisq_dof': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'eff_distance': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'end_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'end_time_gmst': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'end_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'eta': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'event_duration': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'f_final': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ifo': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'}),
            'impulse_time': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'impulse_time_ns': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'kappa': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mass1': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mass2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mchirp': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'mtotal': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'psi0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'psi3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'rsqveto_duration': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'search': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True'}),
            'sigmasq': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'snr': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin1x': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin1y': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin1z': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2x': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2y': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'spin2z': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'tau0': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'tau2': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'tau3': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'tau4': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'tau5': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'template_duration': ('django.db.models.fields.FloatField', [], {'null': 'True'}),
            'ttotal': ('django.db.models.fields.FloatField', [], {'null': 'True'})
        },
        u'gracedb.tag': {
            'Meta': {'object_name': 'Tag'},
            'displayName': ('django.db.models.fields.CharField', [], {'max_length': '200', 'null': 'True'}),
            'eventlogs': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['gracedb.EventLog']", 'symmetrical': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'gracedb.voevent': {
            'Meta': {'ordering': "['-created', '-N']", 'unique_together': "(('event', 'N'),)", 'object_name': 'VOEvent'},
            'N': ('django.db.models.fields.IntegerField', [], {}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['gracedb.Event']"}),
            'file_version': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'filename': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'issuer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['auth.User']"}),
            'ivorn': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '200'}),
            'voevent_type': ('django.db.models.fields.CharField', [], {'max_length': '2'})
        }
    }

    complete_apps = ['gracedb']